Subject: Re: [PATCH 1/1] contrib/git-jump/git-jump: support alias expansion

From: Taylor Blau <[email-masked]>
Date: Wed, 4 Sep 2019 16:51:16 -0400

On Wed, Sep 04, 2019 at 01:55:03PM -0400, Taylor Blau wrote:
> @@ -68,7 +70,7 @@ if test $# -lt 1; then
>  	usage >&2
>  	exit 1
>  fi
> -mode=$1; shift
> +mode="$(git config --default "$1" --get -- "alias.$1")"; shift
>
>  trap 'rm -f "$tmp"' 0 1 2 3 15
>  tmp=`mktemp -t git-jump.XXXXXX` || exit 1

I guess it's worth noting that this does _not_ respect extra options
given to the various modes. For example, if I alias 'diff' to 'diff
--minimal', we will try and invoke the function "mode_diff --minimal",
which doesn't make sense.

Perhaps we could take the output of this through "| awk '{ print $1 }'"
to discard any extra options, but it feels like a bit of a hack.

Personally, I'm not bothered by this, but I also don't use aliases to
add "default" options to any git sub-commands. But, I don't know if
other people do, in which case they may want to chime in here.

Thanks in advance for your thoughts.

> --
> 2.22.0

Thanks,
Taylor